%global	gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global	gemname ditz
%global	geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:	A command-line issue tracker
Name:		rubygem-%{gemname}
Version:	0.5
Release:	4%{?dist}
Group:		Applications/Productivity
License:	GPLv3+ with exceptions
URL:		http://ditz.rubyforge.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	rubygem(trollop)
Requires:	rubygems
Requires:	ruby(abi) = 1.8
BuildRequires:	rubygems
BuildRequires:	rubygem(rake)
BuildRequires:	rubygem(hoe)
BuildArch:	noarch
Provides:	rubygem(%{gemname}) = %{version}
Source0:	http://rubyforge.org/frs/download.php/41559/ditz-%{version}.tgz
# available from following link or git repository for ditz project
Source1:	http://gitorious.org/ditz/mainline/blobs/raw/master/README.txt
Patch1:		fix-ruby1.8-dep.patch

%description
A command-line issue tracker written in ruby.

%prep
%setup -n %{gemname}-%{version} -q
%patch1 -p1 -b .fix-ruby1.8-dep
cp -p %{SOURCE1} README.txt

%build
rake package

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
	--force --rdoc pkg/%{gemname}-%{version}.gem
mkdir -p %{buildroot}/%{_bindir}
cd %{buildroot}/%{_bindir}
ln -s ../../%{gemdir}/bin/ditz ditz
rm %{buildroot}/%{geminstdir}/lib/trollop.rb
mkdir -p %{buildroot}/%{_mandir}/man1
cd %{buildroot}/%{_mandir}/man1
gzip %{buildroot}/%{geminstdir}/man/ditz.1
ln -s ../../../../%{geminstdir}/man/ditz.1 ditz.1

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}/
%{geminstdir}/bin
%{geminstdir}/contrib
%{geminstdir}/INSTALL
%{geminstdir}/lib
%{geminstdir}/man
%{geminstdir}/Manifest.txt
%{geminstdir}/Rakefile
%{geminstdir}/setup.rb
%{geminstdir}/www
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/PLUGINS.txt
%doc %{geminstdir}/README.txt
%doc %{geminstdir}/Changelog
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/ReleaseNotes
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%{gemdir}/bin/ditz
%{_bindir}/%{gemname}
%{_mandir}/man1/*

%changelog
* Sun Oct 04 2009 Jan Klepek <jan.klepek@hp.com> - 0.5-4
- moved more files into %%doc

* Sat Oct 03 2009 Jan Klepek <jan.klepek@hp.com> - 0.5-3
- fixed duplicate files, fixed macros usage, changed license to "GPLv3+ with exceptions"

* Wed Sep 30 2009 Jan Klepek <jan.klepek@hp.com> - 0.5-2
- Added README from git repository with permission to link against trollop library

* Mon Sep 21 2009 Jan Klepek <jan.klepek@hp.com> - 0.5-1
- Change of maintainer, rpmlint warnings cleanup

* Sat Jan 24 2009 Kyle McMartin <kyle@redhat.com> - 0.5-0
- Initial release of ditz.
